#include<iostream>
#incllude<string>
using namespace std;
string a,b,c;
int najveci, najmanji,srednji;
int main(){
    cin>>a>>b>>c;
    if(a[0]>=b[0] && a[0]>=c[0])najveci=1;
    else if (b[0]>=a[0] && b[0]>=c[0])najveci=2;
    else if (c[0]>=a[0] && c[0]>=b[0])najveci=3;

    if(a[0]<=b[0] && a[0]<=c[0])najmanji=1;
    else if(b[0]<=c[0] && b[0]<=a[0])najmanji=2;
    else if(c[0]<=b[0] && c[0]<=a[0])najmanji=3;

    if(najmanji!=1 && najveci!=1)srednji=1;
    else if(najmanji!=2 && najveci!=2)srednji=2;
    else if(najmanji!=3 && najveci!=3)srednji=3;


    if(najveci==1)cout<<a;
    if(najveci==2)cout<<b;
    if(najveci==3)cout<<c;
    if(srednji==1)cout<<a;
    if(srednji==2)cout<<b;
    if(srednji==3)cout<<c;
    if(najmanji==1)cout<<a;
    if(najmanji==2)cout<<b;
    if(najmanji==3)cout<<c;


return 0;
}